<div class="animated fadeIn">
  <div class="row">
    <div class="col-sm-12">
      <div class="card">
        <div class="card-header">
          Create Author Form
        </div>
        <div class="card-body">
          <form action="" method="post" [formGroup]="authorForm" (ngSubmit)="addAuthor(authorForm.value)">
            <div class="form-group">
              <div class="input-group">
                <div class="input-group-prepend">
                  <span class="input-group-text"><i class="fa fa-user"></i></span>
                </div>
                <input type="text" id="name" name="name" class="form-control" placeholder="Name" formControlName="name">
              </div>
            </div>
            <div class="form-group" *ngIf="cpf">
              <div class="input-group">
                <div class="input-group-prepend">
                  <span class="input-group-text"><i class="fa fa-file"></i></span>
                </div>
                <input type="text" id="cpf" name="cpf" class="form-control" placeholder="CPF" formControlName="cpf">
              </div>
            </div>
            <div class="form-group">
              <div class="input-group">
                <div class="input-group-prepend">
                  <span class="input-group-text"><i class="fa fa-envelope"></i></span>
                </div>
                <input type="email" id="email" name="email" class="form-control" placeholder="Email" autocomplete="email" formControlName="email">
              </div>
            </div>
            <div class="form-group">
              <div class="input-group">
                <div class="input-group-prepend">
                  <span class="input-group-text"><i class="fa fa-calendar"></i></span>
                </div>
                <input class="form-control" id="date-input" type="date" name="date-input" placeholder="date" formControlName="birthday">
              </div>
            </div>

            <div class="form-group">
              <div class="input-group">
                <div class="input-group-prepend">
                  <span class="input-group-text"><i class="fa fa-user"></i></span>
                </div>
                <div class="col-md-9 col-form-label">
                  <div class="form-check form-check-inline mr-1" id="sexoRadios">
                    <input class="form-check-input" type="radio" name="inline-radios" id="sexoRadios1" value="MALE" formControlName="sex">
                    <label class="form-check-label" for="sexoRadios1">Male</label>
                  </div>
                  <div class="form-check form-check-inline mr-1">
                    <input class="form-check-input" type="radio" name="inline-radios" id="sexoRadios2" value="FEMALE" formControlName="sex">
                    <label class="form-check-label" for="sexoRadios2">Female</label>
                  </div>
                </div>
              </div>
            </div>
            <div class="form-group">
              <div class="input-group">
                <div class="input-group-prepend">
                  <span class="input-group-text"><i class="fa fa-map"></i></span>
                </div>
                <select id="select" name="select" class="form-control" formControlName="country">
                  <option value="de" (click)="verifyCountry('de')">Alemanha</option>
                  <option value="ar" (click)="verifyCountry('ar')">Argentina</option>
                  <option value="au" (click)="verifyCountry('au')">Austrália</option>
                  <option value="za" (click)="verifyCountry('za')">África do Sul</option>
                  <option value="be" (click)="verifyCountry('be')">Bélgica</option>
                  <option value="br" (click)="verifyCountry('br')">Brasil</option>
                  <option value="ca" (click)="verifyCountry('ca')">Canadá</option>
                  <option value="cl" (click)="verifyCountry('cl')">Chile</option>
                  <option value="cn" (click)="verifyCountry('cn')">China</option>
                  <option value="co" (click)="verifyCountry('co')">Colômbia</option>
                  <option value="cu" (click)="verifyCountry('cu')">Cuba</option>
                  <option value="us" (click)="verifyCountry('us')">Estados Unidos</option>
                  <option value="es" (click)="verifyCountry('es')">Espanha</option>
                  <option value="fr" (click)="verifyCountry('fr')">França</option>
                  <option value="gr" (click)="verifyCountry('gr')">Grécia</option>
                  <option value="it" (click)="verifyCountry('it')">Itália</option>
                  <option value="mx" (click)="verifyCountry('mx')">México</option>
                  <option value="uy" (click)="verifyCountry('uy')">Uruguai</option>
                </select>
              </div>
            </div>
            <div class="form-group form-actions">
              <button type="submit" class="btn btn-sm btn-success" [disabled]="!authorForm.valid">Submit</button>
            </div>
          </form>
        </div>
      </div>
    </div>
  </div>
</div>


